Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[UNIONFS] emerge impossible 2.6.25-gentoo-r7
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
doulinux
n00b
n00b


Joined: 27 Sep 2008
Posts: 52
Location: 34190

PostPosted: Thu Oct 23, 2008 6:04 pm    Post subject: [UNIONFS] emerge impossible 2.6.25-gentoo-r7 Reply with quote

Bjr,

/usr/src/linux
# emerge sys-fs/unionfs
Calculating dependencies -
!!! All ebuilds that could satisfy "sys-fs/unionfs" have been masked.
!!! One of the following masked packages is required to complete your request:
- sys-fs/unionfs-1.5_pre200701042308 (masked by: ~x86 keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.


/usr/src/linux
# export ACCEPT_KEYWORDS="~x86"


/usr/src/linux
# emerge sys-fs/unionfs
Calculating dependencies... done!
>>> Verifying ebuild Manifests...

>>> Emerging (1 of 1) sys-fs/unionfs-1.5_pre200701042308 to /
* unionfs-1.5pre-cvs200701042308.tar.gz RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
* checking unionfs-1.5pre-cvs200701042308.tar.gz ;-) ... [ ok ]
* Determining the location of the kernel source code
* Found kernel source directory:
* /usr/src/linux
* Found kernel object directory:
* /lib/modules/2.6.25-gentoo-r7/build
* Found sources for kernel version:
* 2.6.25-gentoo-r7
*
* you need the proper kernel version!
*
* kernel: 2.4.x (x>19) Version: 1.0.14
* kernel: 2.6.x (x<9) Version: Not Supported
* kernel: 2.6.9 - 2.6.15 Version: 1.1.5
* kernel: 2.6.16 Version: 1.2
* kernel: 2.6.17 Version: 1.3
* kernel: 2.6.18 Version: 1.4
* kernel: 2.6.19 Version: 1.5
*
* ERROR: sys-fs/unionfs-1.5_pre200701042308 failed.
* Call stack:
* ebuild.sh, line 49: Called pkg_setup
* unionfs-1.5_pre200701042308.ebuild, line 40: Called die
* The specific snippet of code:
* die
* The die message:
* (no error message)
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/sys-fs/unionfs-1.5_pre200701042308/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/sys-fs/unionfs-1.5_pre200701042308/temp/die.env'.
*

* Messages for package sys-fs/unionfs-1.5_pre200701042308:

*
* ERROR: sys-fs/unionfs-1.5_pre200701042308 failed.
* Call stack:
* ebuild.sh, line 49: Called pkg_setup
* unionfs-1.5_pre200701042308.ebuild, line 40: Called die
* The specific snippet of code:
* die
* The die message:
* (no error message)
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/sys-fs/unionfs-1.5_pre200701042308/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/sys-fs/unionfs-1.5_pre200701042308/temp/die.env'.
*
*
* you need the proper kernel version!
*

/usr/src/linux
# uname -a
Linux localhost 2.6.25-gentoo-r7 #46 SMP Tue Oct 21 07:03:08 CEST 2008 i686 Intel(R) Pentium(R) D CPU 3.00GHz GenuineIntel GNU/Linux

S.V.P.
Il n'y a pas d'autre solution que de revenir en * kernel: 2.6.19 :?:

MERCI
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Thu Oct 23, 2008 6:29 pm    Post subject: Reply with quote

'alute

je ne suis pas convaincu que ce patchset soit compatible avec les patchs gentoo. Tu peux soit utiliser d'autres sources qui l'intègre en provenance d'un overlay non supporté - je ne sais plus où ils en sont mais genre les zen ou hélium qui l'intègrent sans doute
soit partir d'un vanilla et lui coller le unionfs :wink: (et signaler à portage que tu gèreras ton noyo tout seul)

Peut-être utiliser aufs sinon ?

btw:
Quote:
!!! All ebuilds that could satisfy "sys-fs/unionfs" have been masked.
!!! One of the following masked packages is required to complete your request:
- sys-fs/unionfs-1.5_pre200701042308 (masked by: ~x86 keyword)
For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook
.

/usr/src/linux
# export ACCEPT_KEYWORDS="~x86"

Jamais vu une horreur pareille dans la doc gentoo tu devrais y jeter un coup d'oeil vite fait avant d'avoir des surprises :wink:
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
doulinux
n00b
n00b


Joined: 27 Sep 2008
Posts: 52
Location: 34190

PostPosted: Thu Oct 23, 2008 6:50 pm    Post subject: Reply with quote

MERCI boozo pour cette réponse rapide.

Quote:
Jamais vu une horreur pareille dans la doc gentoo tu devrais y jeter un coup d'oeil vite fait avant d'avoir des surprises wink:


Ben oui moi aussi ça m'a étonné, bien que nOOb en gentoo :!:
Le ACCEPT_KEYWORDS je l'ai piqué dans le man emerge quand même, rubrique MASKED :cry:
Bon c'est un environnement de test, dans les autres je suis parano à mort :lol:

Je vais commencer par aufs pour voir, car je n'ai pas encore bidouillé portage...
Il y a du man handbook dans l'air...
Donc @+ probablement :)

merci encore !
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Thu Oct 23, 2008 9:29 pm    Post subject: Reply with quote

doulinux wrote:
(snip) Le ACCEPT_KEYWORDS je l'ai piqué dans le man emerge quand même, rubrique MASKED (snip)

Ben... c'est pas trop çà le problème... c'est surtout le #export qu'il y a avant :lol:

Lorsqu'on est sur la branche stable, il est conseillé de ne pas utiliser cette variable (ACCEPT_KEYWORDS="") de la sorte car elle est volatile. Tu peux éventuellement l'utiliser en préfixe de la commande emerge mais uniquement avec l'option --pretend associée ; afin de voir quel serait l'impact de l'installation du package instable en question.

Si alors tu veux réellement utiliser ce package "tildarché" c'est par les fichiers de conf qu'il faut passer : package.keywords en l'occurrence. Sinon tant que ton export sera opérant c'est pas un package que tu vas passer en instable si tu te fais un peu plus tard dans la foulée un emerge world pour te réchauffer cette nuit avant d'aller dormir, et dans 2 jours tu seras vachement content de ton upgrade de 350 packages ^^

Bref, lis la doc de portage (jusqu'au chapitre 3. c'est pas très long) et tu auras tout le détail pour ne pas te perdre.

Quote:
Je vais commencer par aufs pour voir, car je n'ai pas encore bidouillé portage...

Bon alors :
    Règle N°1 : On ne bidouille pas portage en première année !
Sauf à avoir des jours d'ARTT en stock, une boite de tranquillisant et un n° d'urgence sous la main :mrgreen:

btw: J'ai indiqué aufs que beaucoup semblent préfèrer mais je ne connais pas tes besoins donc c'était plus une indication pour se renseigner dessus qu'autre chose hein ? :wink:
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
doulinux
n00b
n00b


Joined: 27 Sep 2008
Posts: 52
Location: 34190

PostPosted: Fri Oct 24, 2008 3:32 am    Post subject: Reply with quote

MERCI boozo pour toutes ces précisions !

Elles me sont utiles pour la compréhension de gentoo.
Je n'ai pas l'intention de sortir de la branche stable bien que, MAINTENANT, j'ai un stock illimité de RTT :D .
Au pire je reviendrai en 2.6.19...
Mon besoin se limite à tenir mon neurone en éveil !
Ce qui est loin d'être une petite besogne !

Donc je "joue" à créer un live CD. Je suis parti de l'excellent tuto de booleetbil https://forums.gentoo.org/viewtopic-t-417836.html et compte me rapprocher du non moins excellent SystemRescueCD de M. F. Dupoux http://www.sysresccd.org/Sysresccd-manual-fr_Comment_personnaliser_SystemRescueCd
J'en profite pour mettre en œuvre qq fonctionnalités dont je n'avais pas utilité au temps où Unix occupait mes journées et mes nuits...
Quote:
btw: J'ai indiqué aufs que beaucoup semblent préfèrer mais je ne connais pas tes besoins donc c'était plus une indication pour se renseigner dessus qu'autre chose hein ? :wink:

OUI ! je vais regarder, par curiosité...

Qu' unionfs ne soit pas porté depuis la 2.6.19 alors qu'on est en 2.6.25 signifie-t-il que la fonctionnalité est abandonnée ? y a-t-il qq part un peu de littérature, des infos sur des situations similaires ?
Ce n'est pas anodin quand même !
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum